<template>

<div ref="aqui" class="contenido">
  <br>
 <div class="product-grid">
<h2 style="text-align:center;">Productos</h2>
      <!-- START The Product Item -->
      <hr>
      <div class="col-md-4 col-sm-4 grid-item"  v-if="producto.stock > 0" v-for="producto in productos" :key="producto.id" >
        <img class="img" :src="producto.imagen" alt="producto.nombre" />
        <h1 style="font-size:18px;" class="">{{producto.nombre}}</h1>
        <p class="">${{producto.precio}}</p>
         <h1 class="product-price">Stock:{{producto.stock}}</h1>
         <span>Descripción<br>{{producto.descripcion}}<br></span>
       <!-- <div class="quantity-input">
         <NumberInputSpinner class="put" :min="0" :max="12" v-model="producto.cantidad"></NumberInputSpinner>
        </div>
        <br><br>
        <h2 class="">SubTotal: ${{calcularSubTotal(producto)}}</h2>-->
      <button v-if="producto.stock>0" v-model="producto.cantidad" @click="addcart(producto)"  class="btn btn-success add-to-cart-button" rel="7_keto_dhea" product="7-Keto DHEA 100 mg" sel="12.99"><span class="glyphicon glyphicon-ok"></span> Agregar al Carro</button>
      </div>
</div>


</div>


</template>

<script>
    export default {

    	components:{
    	},
      props:["carrito","categorias","stocks","marcas"],

    	data() {
			return {
				productos:[],
			}
		},
  
		mounted(){
			this.fetchdata();
		},
          
  
		methods:{
			fetchdata(){
				const self = this;
				axios.get('api/productos').then(function(response){
					self.productos = response.data.map(function(prod){
             prod.cantidad = 1;
            return prod;
          });
				})
			},
    calcularSubTotal(producto) {
            return producto.cantidad * producto.precio
      },

         volverarriba(){
      $('html,body').stop().animate({
        scrollTop: 0
      }, 'slow', 'swing');
    },

    addcart(producto){
        if(!window.isLogin){
          $('#loginModal').modal('show')
          return
        }
        var found = false;
       
    

      for (var i = 0; i < this.carrito.length; i++) {

        if (this.carrito[i].id === producto.id) {
          this.carrito[i].cantidad+=1;

          found = true;
          break;
        }

     
      }

      if(!found) {
    
        // $('#cartmodal').$ref('aqui');
        producto.cantidad = 1;
        this.$parent.carrito.push(producto);
         this.$parent.localdata();
         this.volverarriba();
      }
    },  
     

  }
}
    

</script>

<style scoped>
.put{
	width:8em;
	margin-left:45px;

}
.product-grid {

  margin:0 auto;
}

.grid-item {
  text-align: center;
  padding: 25px;
  margin: ;
  box-shadow: 2px 0px 5px 1px rgb(199, 199, 199);
  transition: all .25s ease;
  max-width: 252.5px;
    max-height: 500px;
  position:relative;
    display: inline-block;
}

.grid-item:hover {
  box-shadow: 0px 0px 20px -1px rgb(99, 99, 99);
}

.grid-item img {}

.grid-item h1 {
  font-size: 20px;
  margin-bottom: 10px
}

.grid-item h3 {
  margin-top: 10px;
}

.grid-item .quantity-input {
  margin: 5px auto;
}

.grid-item .quantity-input button {}

.grid-item .quantity-input input {
  max-width: 50px;
}
.btn{
	 display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top:5px;
}
.add-to-cart-button {
      color: #fff;
  
    border-color: #4cae4c;
}

.mini-cart-totals {
  text-align: center;
}

#total-price {
  float: left;
  padding: 5px;
  border: 1px solid grey;
  margin: 10px;
  min-width: 100px;
  margin-left: 20px;
}

#total-items {
  float: right;
  padding: 5px;
  border: 1px solid grey;
  margin: 10px;
  min-width: 100px;
  margin-right: 20px;
}

#total-items p,
#total-price p {
  font-weight: 700;
  color: grey;
  margin-bottom: 0;
}

#total-items span,
#total-price span {
  font-size: 16px;
  font-weight: 700;
  color: grey;
}

.succes-message {
  display: none;
  position: absolute;
  height:100px;
  background:white;
  width: 200px;
  z-index: 2;
  left: 40%;
  right: 0;
  top:30%;
  font-size:20px;
  box-shadow: 0px 0px 20px -1px rgb(99, 99, 99);
  text-align:center;
  padding:20px;
}
.img{
	width:8em;
	height:8em;
}
.sp{
display: inline-block;
}




@media screen and (max-width:640px) {
  .product-grid {
    display: inline-block;
   width: 429px;

}

.grid-item {
  text-align: center;
  padding: 5px;
  box-shadow: 2px 0px 5px 1px rgb(199, 199, 199);
  transition: all .25s ease;
  max-width: 141.5px;
    max-height: 500px;
  position:relative;
    display: inline-block;
}

.img{
  width:8em;
  height:8em;
}


.grid-item:hover {
  box-shadow: 0px 0px 20px -1px rgb(99, 99, 99);
}

.grid-item img {}

.grid-item h1 {
  font-size: 20px;
  margin-bottom: 10px
}

.grid-item h3 {
  margin-top: 10px;
}

.grid-item .quantity-input {
  margin: 5px auto;
}

.grid-item .quantity-input button {}

.grid-item .quantity-input input {
  max-width: 50px;
}
.btn{
   display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top:5px;
}
.add-to-cart-button {
      color: #fff;
  
    border-color: #4cae4c;
}

.mini-cart-totals {
  text-align: center;
}

#total-price {
  float: left;
  padding: 5px;
  border: 1px solid grey;
  margin: 10px;
  min-width: 100px;
  margin-left: 20px;
}

#total-items {
  float: right;
  padding: 5px;
  border: 1px solid grey;
  margin: 10px;
  min-width: 100px;
  margin-right: 20px;
}

#total-items p,
#total-price p {
  font-weight: 700;
  color: grey;
  margin-bottom: 0;
}

#total-items span,
#total-price span {
  font-size: 16px;
  font-weight: 700;
  color: grey;
}

.succes-message {
  display: none;
  position: absolute;
  height:100px;
  background:white;
  width: 200px;
  z-index: 2;
  left: 40%;
  right: 0;
  top:30%;
  font-size:20px;
  box-shadow: 0px 0px 20px -1px rgb(99, 99, 99);
  text-align:center;
  padding:20px;
}

.sp{
display: inline-block;
}

}
</style>